<template>
  <div id="deu-footer" class="deu-header-footer">
    <div class="ecl-container">
      <FooterTop v-bind="$attrs" />
      <FooterTopBottom v-bind="$attrs" />
    </div>
  </div>
</template>

<script>
import { defineComponent } from 'vue';
import FooterTop from './FooterTop.vue';
import FooterTopBottom from './FooterTopBottom.vue';

export default defineComponent({
  name: 'DeuFooter',
  components: {
    FooterTop: FooterTop,
    FooterTopBottom: FooterTopBottom,
    // footerBottom: FooterBottom,
  },
  created() {
    this.$router.isReady().then(() => {
      if (! this.$route.query.locale) {
        const locale = navigator.language.substring(0, 2);
        this.$i18n.locale = locale;
        this.$router.push({ query: { ...this.$route.query, locale } });
      }
    });
  }
});
</script>

<style lang="scss">
  @import '../../styles/footer.scss';

  #deu-footer {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
  }
</style>
